## libsdl3 3.2.20+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

if(NOT DEFINED CMAKE_BUILD_TYPE)
  set(cmake_build_type_undefined 1)
endif()

# See docs/release_checklist.md
project(SDL3 LANGUAGES C VERSION "3.2.20")

if(CMAKE_SOURCE_DIR STREQUAL PROJECT_SOURCE_DIR)
  set(SDL3_MAINPROJECT ON)
else()
  set(SDL3_MAINPROJECT OFF)
endif()

# Add UTF-8 encoding support for MSVC compiler.
# This ensures that the MSVC compiler interprets source files as UTF-8 encoded,
# which is useful for projects containing non-ASCII characters in source files.
add_compile_options("$<$<C_COMPILER_ID:MSVC>:/utf-8>")
add_compile_options("$<$<CXX_COMPILER_ID:MSVC>:/utf-8>")

# By default, configure SDL3 in RelWithDebInfo configuration
if(SDL3_MAINPROJECT)
  get_property(is_multi_config GLOBAL PROPERTY GENERATOR_IS_MULTI_CONFIG)
  if(is_multi_config)
      # The first item in CMAKE_CONFIGURATION_TYPES is the default configuration
      if(DEFINED CMAKE_CONFIGURATION_TYPES AND "RelWithDebInfo" IN_LIST CMAKE_CONFIGURATION_TYPES)
        list(REMOVE_ITEM CMAKE_CONFIGURATION_TYPES "RelWithDebInfo")
        list(INSERT CMAKE_CONFIGURATION_TYPES 0 "RelWithDebInfo")
        set(CMAKE_CONFIGURATION_TYPES "${CMAKE_CONFIGURATION_TYPES}" CACHE STRING "CMake configuration types" FORCE)
      endif()
  else()
    if(cmake_build_type_undefined)
      set(CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING "CMake build type" FORCE)
    endif()
  endif()
endif()

# CMake 3.0 expands the "if(${A})" in "set(OFF 1);set(A OFF);if(${A})" to "if(1)"
# CMake 3.24+ emits a warning when not set.
unset(OFF)
unset(ON)
if(POLICY CMP0054)
  cmake_policy(SET CMP0054 NEW)
endif()

include(CheckLibraryExists)
include(CheckIncludeFile)
include(CheckLanguage)
include(CheckSymbolExists)
include(CheckCSourceCompiles)
include(CheckCSourceRuns)
include(CheckCCompilerFlag)
include(CheckCXXCompilerFlag)
include(CheckStructHasMember)
include(CMakeDependentOption)
include(CMakeParseArguments)
include(CMakePushCheckState)
include(GNUInstallDirs)

if(NOT DEFINED OpenGL_GL_PREFERENCE)
  set(OpenGL_GL_PREFERENCE GLVND)
endif()

find_package(PkgConfig)

list(APPEND CMAKE_MODULE_PATH "${SDL3_SOURCE_DIR}/cmake")
include("${SDL3_SOURCE_DIR}/cmake/macros.cmake")
include("${SDL3_SOURCE_DIR}/cmake/sdlchecks.cmake")
include("${SDL3_SOURCE_DIR}/cmake/sdlcompilers.cmake")
include("${SDL3_SOURCE_DIR}/cmake/sdlcpu.cmake")
include("${SDL3_SOURCE_DIR}/cmake/sdlmanpages.cmake")
include("${SDL3_SOURCE_DIR}/cmake/sdlplatform.cmake")
include("${SDL3_SOURCE_DIR}/cmake/sdltargets.cmake")
include("${SDL3_SOURCE_DIR}/cmake/GetGitRevisionDescription.cmake")
include("${SDL3_SOURCE_DIR}/cmake/3rdparty.cmake")
include("${SDL3_SOURCE_DIR}/cmake/PreseedMSVCCache.cmake")
include("${SDL3_SOURCE_DIR}/cmake/PreseedEmscriptenCache.cmake")

SDL_DetectCompiler()
SDL_DetectTargetCPUArchitectures(SDL_CPUS)

# Increment this if there is an incompatible change - but if that happens,
# we should rename the library from SDL3 to SDL4, at which point this would
# reset to 0 anyway.
set(SDL_SO_VERSION_MAJOR "0")
set(SDL_SO_VERSION_MINOR "${PROJECT_VERSION_MINOR}")
set(SDL_SO_VERSION_PATCH "${PROJECT_VERSION_PATCH}")
set(SDL_SO_VERSION "${SDL_SO_VERSION_MAJOR}.${SDL_SO_VERSION_MINOR}.${SDL_SO_VERSION_PATCH}")

if(PROJECT_VERSION_MINOR MATCHES "[02468]$")
  math(EXPR SDL_DYLIB_COMPAT_VERSION_MAJOR "100 * ${PROJECT_VERSION_MINOR} + 1")
  set(SDL_DYLIB_COMPAT_VERSION_MINOR "0")
  math(EXPR SDL_DYLIB_CURRENT_VERSION_MAJOR "${SDL_DYLIB_COMPAT_VERSION_MAJOR}")
  set(SDL_DYLIB_CURRENT_VERSION_MINOR "${PROJECT_VERSION_PATCH}")
else()
  math(EXPR SDL_DYLIB_COMPAT_VERSION_MAJOR "100 * ${PROJECT_VERSION_MINOR} + ${PROJECT_VERSION_PATCH} + 1")
  set(SDL_DYLIB_COMPAT_VERSION_MINOR "0")
  math(EXPR SDL_DYLIB_CURRENT_VERSION_MAJOR "${SDL_DYLIB_COMPAT_VERSION_MAJOR}")
  set(SDL_DYLIB_CURRENT_VERSION_MINOR "0")
endif()
set(SDL_DYLIB_CURRENT_VERSION_PATCH "0")
set(SDL_DYLIB_COMPAT_VERSION_PATCH "0")

set(SDL_DYLIB_CURRENT_VERSION "${SDL_DYLIB_CURRENT_VERSION_MAJOR}.${SDL_DYLIB_CURRENT_VERSION_MINOR}.${SDL_DYLIB_CURRENT_VERSION_PATCH}")
set(SDL_DYLIB_COMPAT_VERSION "${SDL_DYLIB_COMPAT_VERSION_MAJOR}.${SDL_DYLIB_COMPAT_VERSION_MINOR}.${SDL_DYLIB_COMPAT_VERSION_PATCH}")

message(DEBUG "SDL_SO_VERSION=${SDL_SO_VERSION} SDL_DYLIB_CURRENT_VERSION=${SDL_DYLIB_CURRENT_VERSION} SDL_DYLIB_COMPAT_VERSION=${SDL_DYLIB_COMPAT_VERSION}")

set(SDL_FRAMEWORK_VERSION "A")

set(SDL_CHECK_REQUIRED_INCLUDES "" CACHE STRING "Extra includes (for CMAKE_REQUIRED_INCLUDES)")
set(SDL_CHECK_REQUIRED_LINK_OPTIONS "" CACHE STRING "Extra link options (for CMAKE_REQUIRED_LINK_OPTIONS)")
mark_as_advanced(SDL_CHECK_REQUIRED_INCLUDES SDL_CHECK_REQUIRED_LINK_OPTIONS)

string(APPEND CMAKE_REQUIRED_FLAGS " -D_GNU_SOURCE=1")
list(APPEND CMAKE_REQUIRED_INCLUDES ${SDL_CHECK_REQUIRED_INCLUDES})
list(APPEND CMAKE_REQUIRED_LINK_OPTIONS ${SDL_CHECK_REQUIRED_LINK_OPTIONS})

# Get the platform
SDL_DetectCMakePlatform()

# Don't mistake macOS for unix
if(UNIX AND NOT ANDROID AND NOT APPLE AND NOT RISCOS)
  set(UNIX_SYS ON)
else()
  set(UNIX_SYS OFF)
endif()

if(UNIX OR APPLE)
  set(UNIX_OR_MAC_SYS ON)
else()
  set(UNIX_OR_MAC_SYS OFF)
endif()

# Emscripten pthreads work, but you need to have a non-pthread fallback build
#  for systems without support. It's not currently enough to not use
#  pthread functions in a pthread-build; it won't start up on unsupported
#  browsers. As such, you have to explicitly enable it on Emscripten builds
#  for the time being. This default will change to ON once this becomes
#  commonly supported in browsers or the Emscripten team makes a single
#  binary work everywhere.
if (UNIX_OR_MAC_SYS AND NOT EMSCRIPTEN)
  set(SDL_PTHREADS_DEFAULT ON)
else()
  set(SDL_PTHREADS_DEFAULT OFF)
endif()

if(UNIX_SYS OR ANDROID)
  set(SDL_CLOCK_GETTIME_DEFAULT ON)
else()
  set(SDL_CLOCK_GETTIME_DEFAULT OFF)
endif()

# The hidraw support doesn't catch Xbox, PS4 and Nintendo controllers,
#  so we'll just use libusb when it's available. libusb does not support iOS,
#  so we default to yes on iOS.
if(IOS OR TVOS OR VISIONOS OR WATCHOS OR ANDROID)
  set(SDL_HIDAPI_LIBUSB_AVAILABLE FALSE)
else()
  set(SDL_HIDAPI_LIBUSB_AVAILABLE TRUE)
endif()

set(SDL_ASSEMBLY_DEFAULT OFF)
if(USE_CLANG OR USE_GCC OR USE_INTELCC OR MSVC_VERSION GREATER 1400)
  set(SDL_ASSEMBLY_DEFAULT ON)
endif()

set(SDL_GCC_ATOMICS_DEFAULT OFF)
if(USE_GCC OR USE_CLANG OR USE_INTELCC OR USE_QCC)
  set(SDL_GCC_ATOMICS_DEFAULT ON)
endif()

# Default option knobs
set(SDL_LIBC_DEFAULT ON)
set(SDL_SYSTEM_ICONV_DEFAULT ON)
if(WINDOWS OR MACOS OR IOS OR TVOS OR VISIONOS OR WATCHOS)
  set(SDL_SYSTEM_ICONV_DEFAULT OFF)
endif()

set(SDL_RELOCATABLE_DEFAULT OFF)
if(MSVC)
  set(SDL_RELOCATABLE_DEFAULT ON)
endif()

if(MSVC)
  if(NOT SDL_LIBC)
    # Make sure /RTC1 is disabled, otherwise it will use functions from the CRT
    foreach(flag_var
        CMAKE_C_FLAGS CMAKE_C_FLAGS_DEBUG CMAKE_C_FLAGS_RELEASE
        CMAKE_C_FLAGS_MINSIZEREL CMAKE_C_FLAGS_RELWITHDEBINFO
        CMAKE_CXX_FLAGS CMAKE_CXX_FLAGS_DEBUG CMAKE_CXX_FLAGS_RELEASE
        CMAKE_CXX_FLAGS_MINSIZEREL CMAKE_CXX_FLAGS_RELWITHDEBINFO)
      string(REGEX REPLACE "/RTC(su|[1su])" "" ${flag_var} "${${flag_var}}")
    endforeach(flag_var)
    set(CMAKE_MSVC_RUNTIME_CHECKS "")
  endif()

  if(MSVC_CLANG)
    # clang-cl treats /W4 as '-Wall -Wextra' -- we don't need -Wextra
    foreach(flag_var
        CMAKE_C_FLAGS CMAKE_C_FLAGS_DEBUG CMAKE_C_FLAGS_RELEASE
        CMAKE_C_FLAGS_MINSIZEREL CMAKE_C_FLAGS_RELWITHDEBINFO)
      string(REGEX REPLACE "/W4" "/W3" ${flag_var} "${${flag_var}}")
    endforeach(flag_var)
  endif()
endif()

set(SDL_SHARED_DEFAULT ON)
set(SDL_STATIC_DEFAULT ON)

set(SDL_SHARED_AVAILABLE ON)
set(SDL_STATIC_AVAILABLE ON)

# All these *_DEFAULT vars will default to ON if not specified,
# so you only need to override them if they need to be disabled.
if(EMSCRIPTEN)
  # Set up default values for the currently supported set of subsystems:
  # Emscripten/Javascript does not have assembly support, a dynamic library
  # loading architecture, or low-level CPU inspection.
  set(SDL_ASSEMBLY_DEFAULT OFF)
  set(SDL_SHARED_AVAILABLE OFF)
endif()

if(VITA OR PSP OR PS2 OR N3DS OR RISCOS)
  set(SDL_SHARED_AVAILABLE OFF)
endif()

if((RISCOS OR UNIX_SYS) AND NOT (LINUX OR NETBSD OR OPENBSD))
  set(SDL_OSS_DEFAULT ON)
else()
  set(SDL_OSS_DEFAULT OFF)
endif()

if(SDL_SHARED_DEFAULT AND SDL_STATIC_DEFAULT AND SDL_SHARED_AVAILABLE)
  if(DEFINED BUILD_SHARED_LIBS)
    # When defined, use BUILD_SHARED_LIBS as default
    if(BUILD_SHARED_LIBS)
      set(SDL_STATIC_DEFAULT OFF)
    else()
      set(SDL_SHARED_DEFAULT OFF)
    endif()
  else()
    # Default to just building the shared library
    set(SDL_STATIC_DEFAULT OFF)
  endif()
endif()

dep_option(SDL_DEPS_SHARED "Load dependencies dynamically" ON SDL_SHARED_AVAILABLE OFF)

set(SDL_SUBSYSTEMS )

macro(define_sdl_subsystem _name)
  cmake_parse_arguments("_ds" "" "" "DEPS" ${ARGN})
  string(TOUPPER ${_name} _uname)
  if(NOT DEFINED SDL_${_uname}_DEFAULT)
    set(SDL_${_uname}_DEFAULT ON)
  endif()
  if(_ds_DEPS)
    cmake_dependent_option(SDL_${_uname} "Enable the ${_name} subsystem" "${SDL_${_uname}_DEFAULT}" "${_ds_DEPS}" OFF)
  else()
    option(SDL_${_uname} "Enable the ${_name} subsystem" "${SDL_${_uname}_DEFAULT}")
  endif()
  list(APPEND SDL_SUBSYSTEMS "${_name}")
endmacro()

define_sdl_subsystem(Audio)
define_sdl_subsystem(Video)
define_sdl_subsystem(GPU DEPS SDL_VIDEO)
define_sdl_subsystem(Render DEPS SDL_VIDEO)
define_sdl_subsystem(Camera DEPS SDL_VIDEO)
define_sdl_subsystem(Joystick)
define_sdl_subsystem(Haptic)
define_sdl_subsystem(Hidapi)
define_sdl_subsystem(Power)
define_sdl_subsystem(Sensor)
define_sdl_subsystem(Dialog)

cmake_dependent_option(SDL_FRAMEWORK "Build SDL libraries as Apple Framework" OFF "APPLE" OFF)
if(SDL_FRAMEWORK)
  set(SDL_STATIC_AVAILABLE FALSE)
endif()

if(UNIX AND NOT ANDROID AND NOT RISCOS AND NOT SDL_FRAMEWORK)
  set(SDL_RPATH_DEFAULT ON)
else()
  set(SDL_RPATH_DEFAULT OFF)
endif()

set(SDL_PRESEED_AVAILABLE OFF)
if(COMMAND SDL_Preseed_CMakeCache)
  set(SDL_PRESEED_AVAILABLE ON)
endif()

set(SDL_X11_XRANDR_DEFAULT ON)
if(SOLARIS)
  set(SDL_X11_XRANDR_DEFAULT OFF)
endif()

# Allow some projects to be built conditionally.
set_option(SDL_INSTALL             "Enable installation of SDL3" ${SDL3_MAINPROJECT})
cmake_dependent_option(SDL_INSTALL_CPACK "Create binary SDL3 archive using CPack" ${SDL3_MAINPROJECT} "SDL_INSTALL" ON)
cmake_dependent_option(SDL_INSTALL_DOCS "Install docs for SDL3" OFF "SDL_INSTALL;NOT SDL_FRAMEWORK" ON)
set_option(SDL_UNINSTALL           "Enable uninstallation of SDL3" ${SDL3_MAINPROJECT})
cmake_dependent_option(SDL_PRESEED "Preseed CMake cache to speed up configuration" ON "${SDL_PRESEED_AVAILABLE}" OFF)
cmake_dependent_option(SDL_RELOCATABLE "Create relocatable SDL package" ${SDL_RELOCATABLE_DEFAULT} "SDL_INSTALL" OFF)

cmake_dependent_option(SDL_ANDROID_JAR  "Enable creation of SDL3.jar" ${SDL3_MAINPROJECT} "ANDROID" ON)

option_string(SDL_ASSERTIONS "Enable internal sanity checks (auto/disabled/release/enabled/paranoid)" "auto")
set_option(SDL_ASSEMBLY            "Enable assembly routines" ${SDL_ASSEMBLY_DEFAULT})
dep_option(SDL_AVX                 "Use AVX assembly routines" ON "SDL_ASSEMBLY;SDL_CPU_X86 OR SDL_CPU_X64" OFF)
dep_option(SDL_AVX2                "Use AVX2 assembly routines" ON "SDL_ASSEMBLY;SDL_CPU_X86 OR SDL_CPU_X64" OFF)
dep_option(SDL_AVX512F             "Use AVX512F assembly routines" ON "SDL_ASSEMBLY;SDL_CPU_X86 OR SDL_CPU_X64" OFF)
dep_option(SDL_SSE                 "Use SSE assembly routines" ON "SDL_ASSEMBLY;SDL_CPU_X86 OR SDL_CPU_X64" OFF)
dep_option(SDL_SSE2                "Use SSE2 assembly routines" ON "SDL_ASSEMBLY;SDL_CPU_X86 OR SDL_CPU_X64" OFF)
dep_option(SDL_SSE3                "Use SSE3 assembly routines" ON "SDL_ASSEMBLY;SDL_CPU_X86 OR SDL_CPU_X64" OFF)
dep_option(SDL_SSE4_1              "Use SSE4.1 assembly routines" ON "SDL_ASSEMBLY;SDL_CPU_X86 OR SDL_CPU_X64" OFF)

=== debian/changelog ===
libsdl3 (3.2.20+ds-2) unstable; urgency=medium

  * Rebuild for unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 10 Aug 2025 11:22:37 +0100

libsdl3 (3.2.20+ds-1) experimental; urgency=medium

  * New upstream stable release
    - Fix duplicate SDL_EVENT_GAMEPAD_ADDED for controllers with automatic
      gamepad mappings
    - When binding an audio stream to a device, if the audio format at the
      non-device end is unspecified, set it to match the device end
    - Under X11, discard mouse wheel events from composite "Master"
      devices to avoid duplication with the individual devices
    - Under Wayland, ensure that popups always overlap the parent window,
      avoiding a protocol violation
    - Under Wayland, reorder surface destruction to avoid premature blanking
    - In the Vulkan GPU renderer, don't acquire the swapchain if the window
      is hidden
    - In the Vulkan GPU renderer, clean up command buffers more promptly to
      avoid a lag spike
    - Fix a memory leak in the Vulkan GPU renderer
    - Fix memory leaks in the OpenGL|ES 2 renderer
    - Clear "out" parameters properly when loading a WAV file fails
    - Fix a wrong swap chain size in the Vulkan GPU renderer when retrying
      acquire
    - Fix some use-after-frees during error handling in the Vulkan GPU
      renderer
    - Fix a potential crash in SDL_BlitSurfaceScaled() if the width/height
      overflow to become negative
    - Fix a double-free in HIDAPI error handling
    - Correctly mark Vulkan compute uniform descriptor as set when
      appropriate
    - In SDL_EndGPURenderPass(), check for an invalid argument before
      dereferencing it
    - Fix a crash if sending a clipboard event while video is uninitialized
      (in practice mainly relevant on Android)
    - Don't treat Mayflash GameCube adapter as a PS3 controller
    - Avoid some compiler warnings
    - Documentation updates
    - CI changes not relevant to Debian
    - Android-, FreeBSD-, macOS-, PSP-, Windows- and XBox-specific changes
      not relevant to Debian
  * d/patches: Add post-release bug fixes from upstream release-3.2.x
    branch, up to commit release-3.2.20-5-g688637eca8, excluding
    macOS-specific changes that are not relevant on Linux
    - Really set HDR-related window properties, when appropriate

 -- Simon McVittie <smcv@debian.org>  Tue, 05 Aug 2025 18:01:24 +0100

=== debian/control ===
Source: libsdl3
Priority: optional
Section: libs
Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders:
 Manuel A. Fernandez Montecelo <mafm@debian.org>,
 Felix Geyer <fgeyer@debian.org>,
 Simon McVittie <smcv@debian.org>
Standards-Version: 4.7.2
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 fcitx-libs-dev,
 glslang-tools (>= 12),
 libasound2-dev [linux-any],
 libdbus-1-dev,
 libdecor-0-dev (>= 0.2.0) [linux-any],
 libdrm-dev [linux-any],
 libegl-dev [!hurd-any],
 libgbm-dev [linux-any],
 libgl-dev,
 libgles-dev [!hurd-any],
 libibus-1.0-dev,
 libpipewire-0.3-dev (>= 0.3.44) [linux-any],
 libpulse-dev,
 libsndio-dev,
 libudev-dev [linux-any],
 liburing-dev [linux-any],
 libusb2-dev [kfreebsd-any],
 libusbhid-dev [kfreebsd-any],
 libvulkan-dev [linux-any],
 libwayland-dev [linux-any],
 libx11-dev,
 libxcursor-dev,
 libxext-dev,
 libxfixes-dev,
 libxi-dev,
 libxinerama-dev,
 libxkbcommon-dev,
 libxrandr-dev,
 libxss-dev,
 libxt-dev,
 libxv-dev,
 libxxf86vm-dev,
 pkgconf,
 wayland-protocols,
 xxd,
Build-Depends-Indep:
 graphviz <!nodoc>,
 doxygen <!nodoc>,
Vcs-Git: https://salsa.debian.org/sdl-team/libsdl3.git
Vcs-Browser: https://salsa.debian.org/sdl-team/libsdl3
Homepage: https://www.libsdl.org/
Rules-Requires-Root: no

Package: libsdl3-0
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 libdbus-1-3,
 libegl1,
 libgl1 | libopengl0,
 libgles2,
 libudev1 [linux-any],
Suggests:
 libayatana-appindicator3-1 | libappindicator3-1,
 libpipewire-0.3-0t64 [linux-any],
 liburing2 [linux-any],
 libvulkan1,
 xdg-utils,
Description: Simple DirectMedia Layer, version 3
 SDL is a cross-platform library designed to make it easy to write
 multimedia software such as games and emulators.
 .
 This package contains the shared library.

Package: libsdl3-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libasound2-dev [linux-any],
 libdbus-1-dev,
 libdecor-0-dev (>= 0.2.0) [linux-any],
 libdrm-dev [linux-any],
 libegl-dev [!hurd-any],
 libgbm-dev [linux-any],
 libgl-dev,
 libgles-dev [!hurd-any],
 libibus-1.0-dev,
 libpipewire-0.3-dev (>= 0.3.44) [linux-any],
 libpulse-dev,
 libsdl3-0 (= ${binary:Version}),
 libsndio-dev,
 libudev-dev [linux-any],
 libusb2-dev [kfreebsd-any],
 libusbhid-dev [kfreebsd-any],
 libwayland-dev [linux-any],
 libx11-dev,
 libxcursor-dev,
 libxext-dev,
 libxfixes-dev,
 libxi-dev,
 libxinerama-dev,
 libxkbcommon-dev,
 libxrandr-dev,
 libxss-dev,
 libxt-dev,
 libxv-dev,
 libxxf86vm-dev,
 ${misc:Depends},
 ${shlibs:Depends}
Description: Simple DirectMedia Layer, version 3 development files
 SDL is a cross-platform library designed to make it easy to write
 multimedia software such as games and emulators.
 .
 This package contains the files needed to compile and link programs which
 use SDL.

Package: libsdl3-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
Breaks:
 libsdl1.2-dev (<< 1.2.64),
Replaces:
 libsdl1.2-dev (<< 1.2.64),
Description: Reference manual for SDL 3
 SDL is a cross-platform library designed to make it easy to write
 multimedia software such as games and emulators.
 .
 This package contains the reference manual and examples.

Package: libsdl3-tests
Section: misc
Architecture: any
Build-Profiles: <!noinsttest>
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 gnome-desktop-testing
Description: Simple DirectMedia Layer automated and manual tests
 SDL is a cross-platform library designed to make it easy to write
 multimedia software such as games and emulators.
 .
 This package contains manual and automated tests. The automated tests can
 be run using ginsttest-runner in the gnome-desktop-testing package,
 or manually.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

built_binaries := $(shell dh_listpackages)

include /usr/share/dpkg/default.mk

export SDL_AUDIO_DRIVER=dummy
export SDL_VIDEO_DRIVER=dummy

# Upstream test timeouts assume a gaming-capable system.
# Keep the timeout reasonably short for architectures where interactive
# debugging is more likely, but extend it a lot on architectures that might
# be very slow or using qemu for buildds.
ifneq ($(filter amd64 i386,$(DEB_HOST_ARCH_CPU)),)
test_timeout_multiplier = 3
else
test_timeout_multiplier = 20
endif

confflags = \
	-DCMAKE_BUILD_RPATH_USE_ORIGIN=ON \
	-DSDL_ALSA_SHARED=OFF \
	-DSDL_DEPS_SHARED=OFF \
	-DSDL_EXAMPLES=ON \
	-DSDL_HIDAPI_LIBUSB_SHARED=OFF \
	-DSDL_JACK=OFF \
	-DSDL_JACK_SHARED=OFF \
	-DSDL_KMSDRM_SHARED=OFF \
	-DSDL_OSS=OFF \
	-DSDL_PIPEWIRE_SHARED=ON \
	-DSDL_PULSEAUDIO_SHARED=OFF \
	-DSDL_RPATH=OFF \
	-DSDL_RPI=OFF \
	-DSDL_SHARED=ON \
	-DSDL_SNDIO_SHARED=ON \
	-DSDL_STATIC=ON \
	-DSDL_STATIC_PIC=ON \
	-DSDL_TESTS=ON \
	-DSDL_TESTS_TIMEOUT_MULTIPLIER=$(test_timeout_multiplier) \
	-DSDL_TEST_LIBRARY=ON \
	-DSDL_VENDOR_INFO="${DEB_VENDOR} ${DEB_VERSION}" \
	-DSDL_VIVANTE=OFF \
	-DSDL_X11=ON \
	-DSDL_X11_SHARED=OFF \
	-DSDLTEST_TIMEOUT_MULTIPLIER=$(test_timeout_multiplier) \
	$(NULL)

ifneq ($(filter %-tests,$(built_binaries)),)
  confflags += -DSDL_INSTALL_EXAMPLES=ON
  confflags += -DSDL_INSTALL_TESTS=ON
endif

ifeq ($(filter %-doc,$(built_binaries)),)
  confflags += -DSDL_INSTALL_DOCS=OFF
else
  confflags += -DSDL_INSTALL_DOCS=ON
endif

ifeq ($(DEB_HOST_ARCH_CPU),powerpc)
  confflags += -DSDL_ALTIVEC=OFF
endif

ifeq ($(DEB_HOST_ARCH_CPU),ppc64el)
  confflags += -DSDL_ALTIVEC=OFF
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
  confflags += -DSDL_WAYLAND=ON
  confflags += -DSDL_WAYLAND_LIBDECOR_SHARED=OFF
  confflags += -DSDL_WAYLAND_SHARED=OFF
else
  confflags += -DSDL_WAYLAND=OFF
endif

#ifeq ($(DEB_VERSION_UPSTREAM),3.2.14~git20250513+ds)
#  confflags += -DSDL_REVISION=release-3.2.12-30-gc038d6f7f
#endif

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	set -e; for bmp in test/icon.bmp test/gamepad_*.bmp test/glass.bmp; do \
		python3 cmake/xxd.py -i "$${bmp}" -o "$${bmp%.bmp}.h"; \
	done
	cd build-scripts && ./makecasefoldhashtable.pl > ../src/stdlib/SDL_casefolding.h
	cd src/render/gpu/shaders && LC_ALL=C bash -ex ./build-shaders.sh
	# This is intended as a Windows batch file, but at the time of writing
	# it's so simple that it's also a valid shell script
	cd src/render/vulkan && sh -ex ./compile_shaders.bat
	cd test/testgpu && OSTYPE=$(DEB_HOST_ARCH_OS) bash -ex ./build-shaders.sh
	cp debian/placeholders/testgpu_*.h test/testgpu/
	dh_auto_configure -- $(confflags)

execute_after_dh_auto_build:
ifneq ($(filter %-doc,$(built_binaries)),)
	sed -e 's/FULL_PATH_NAMES *=.*/FULL_PATH_NAMES = NO/' < docs/doxyfile > debian/Doxyfile
	cd docs && doxygen ../debian/Doxyfile
	# useless files
	find docs/output -name "*.md5" -delete
	find docs/output -type d -empty -delete
endif

# Only run testtimer as an autopkgtest on machines that we're reasonably
# sure are both fast and set up to be usable for interactive use
# (currently only x86 and 64-bit ARM).
# There is an assertion that requesting a 1ms delay does not result in
# a delay of more than 100ms, and that's not going to be reliably true
# on slow machines like riscv64 or batch-processing-oriented machines
# like s390x.
ifeq (,$(filter amd64 arm64 i386,$(DEB_HOST_ARCH)))
execute_after_dh_auto_install:
	rm -fv debian/tmp/usr/share/installed-tests/SDL3/testtimer.test
endif

execute_after_dh_auto_clean-indep:
	rm -f debian/Doxyfile
	rm -rf docs/output

# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
# quite right for installed-tests
override_dh_fixperms:
	dh_fixperms -Xusr/libexec/installed-examples -Xusr/libexec/installed-tests
ifneq ($(filter %-tests,$(built_binaries)),)
	chmod --recursive --changes a+rX,u+w,og-w debian/libsdl3-tests/usr/libexec/installed-examples
	chmod --recursive --changes a+rX,u+w,og-w debian/libsdl3-tests/usr/libexec/installed-tests
endif

override_dh_installchangelogs:
	dh_installchangelogs -- WhatsNew.txt

## libsdl3 3.2.22+ds

=== debian/changelog ===
libsdl3 (3.2.22+ds-1) unstable; urgency=medium

  [ Simon McVittie ]
  * New upstream stable release
    - Drop the only patch, included in the new release
  * d/p/Fix-crash-when-enumerating-Steam-Controllers.patch,
    d/p/gpu-VK_KHR_get_physical_device_properties2-can-be-optiona.patch,
    d/p/cmake-use-APPLE-in-dep_option.patch,
    d/p/Set-the-texture-scale-and-address-mode-when-creating-a-te.patch,
    d/p/Leave-letterbox-borders-set-to-the-frame-clear-color.patch,
    d/p/Don-t-set-SDL_SURFACE_LOCK_NEEDED-until-a-surface-is-RLE-.patch:
    Add post-release bug fixes up to release-3.2.22-10-ge7dd5d841b,
    excluding most Apple-specific changes
  * d/p/Add-GNU-Hurd-as-platform.patch,
    d/p/cmake-detect-RISCOS-platform-before-GNU-Hurd.patch:
    Cherry-pick patches from 3.3.x development branch to support Hurd.
    There are still some failing tests (`testatomic` takes a very long time
    on Hurd, and times out) but this gets us a step closer.
    Thanks to Pino Toscano
  * d/p/wikiheaders-Escape-backslash-in-man-pages.patch:
    Add proposed patch to fix broken man page SDL_GetPrefPath(3)

  [ Pino Toscano ]
  * d/control: Enable EGL, OpenGL|ES and Vulkan on any OS
  * d/rules: Only enable Pipewire on Linux

 -- Simon McVittie <smcv@debian.org>  Wed, 03 Sep 2025 13:13:49 +0100

=== debian/control ===
--- 
+++ 
@@ -16,10 +16,10 @@
  libdbus-1-dev,
  libdecor-0-dev (>= 0.2.0) [linux-any],
  libdrm-dev [linux-any],
- libegl-dev [!hurd-any],
+ libegl-dev,
  libgbm-dev [linux-any],
  libgl-dev,
- libgles-dev [!hurd-any],
+ libgles-dev,
  libibus-1.0-dev,
  libpipewire-0.3-dev (>= 0.3.44) [linux-any],
  libpulse-dev,
@@ -28,7 +28,7 @@
  liburing-dev [linux-any],
  libusb2-dev [kfreebsd-any],
  libusbhid-dev [kfreebsd-any],
- libvulkan-dev [linux-any],
+ libvulkan-dev,
  libwayland-dev [linux-any],
  libx11-dev,
  libxcursor-dev,
@@ -88,10 +88,10 @@
  libdbus-1-dev,
  libdecor-0-dev (>= 0.2.0) [linux-any],
  libdrm-dev [linux-any],
- libegl-dev [!hurd-any],
+ libegl-dev,
  libgbm-dev [linux-any],
  libgl-dev,
- libgles-dev [!hurd-any],
+ libgles-dev,
  libibus-1.0-dev,
  libpipewire-0.3-dev (>= 0.3.44) [linux-any],
  libpulse-dev,

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,6 @@
 	-DSDL_JACK_SHARED=OFF \
 	-DSDL_KMSDRM_SHARED=OFF \
 	-DSDL_OSS=OFF \
-	-DSDL_PIPEWIRE_SHARED=ON \
 	-DSDL_PULSEAUDIO_SHARED=OFF \
 	-DSDL_RPATH=OFF \
 	-DSDL_RPI=OFF \
@@ -67,6 +66,7 @@
 endif
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
+  confflags += -DSDL_PIPEWIRE_SHARED=ON
   confflags += -DSDL_WAYLAND=ON
   confflags += -DSDL_WAYLAND_LIBDECOR_SHARED=OFF
   confflags += -DSDL_WAYLAND_SHARED=OFF

## libsdl3 3.2.24+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 endif()
 
 # See docs/release_checklist.md
-project(SDL3 LANGUAGES C VERSION "3.2.20")
+project(SDL3 LANGUAGES C VERSION "3.2.24")
 
 if(CMAKE_SOURCE_DIR STREQUAL PROJECT_SOURCE_DIR)
   set(SDL3_MAINPROJECT ON)
@@ -79,6 +79,12 @@
 
 SDL_DetectCompiler()
 SDL_DetectTargetCPUArchitectures(SDL_CPUS)
+if(APPLE AND CMAKE_OSX_ARCHITECTURES)
+  list(LENGTH CMAKE_OSX_ARCHITECTURES _num_arches)
+  if(_num_arches GREATER 1)
+    set(APPLE_MULTIARCH TRUE)
+  endif()
+endif()
 
 # Increment this if there is an incompatible change - but if that happens,
 # we should rename the library from SDL3 to SDL4, at which point this would
@@ -181,29 +187,6 @@
 set(SDL_RELOCATABLE_DEFAULT OFF)
 if(MSVC)
   set(SDL_RELOCATABLE_DEFAULT ON)
-endif()
-
-if(MSVC)
-  if(NOT SDL_LIBC)
-    # Make sure /RTC1 is disabled, otherwise it will use functions from the CRT
-    foreach(flag_var
-        CMAKE_C_FLAGS CMAKE_C_FLAGS_DEBUG CMAKE_C_FLAGS_RELEASE
-        CMAKE_C_FLAGS_MINSIZEREL CMAKE_C_FLAGS_RELWITHDEBINFO
-        CMAKE_CXX_FLAGS CMAKE_CXX_FLAGS_DEBUG CMAKE_CXX_FLAGS_RELEASE
-        CMAKE_CXX_FLAGS_MINSIZEREL CMAKE_CXX_FLAGS_RELWITHDEBINFO)
-      string(REGEX REPLACE "/RTC(su|[1su])" "" ${flag_var} "${${flag_var}}")
-    endforeach(flag_var)
-    set(CMAKE_MSVC_RUNTIME_CHECKS "")
-  endif()
-
-  if(MSVC_CLANG)
-    # clang-cl treats /W4 as '-Wall -Wextra' -- we don't need -Wextra
-    foreach(flag_var
-        CMAKE_C_FLAGS CMAKE_C_FLAGS_DEBUG CMAKE_C_FLAGS_RELEASE
-        CMAKE_C_FLAGS_MINSIZEREL CMAKE_C_FLAGS_RELWITHDEBINFO)
-      string(REGEX REPLACE "/W4" "/W3" ${flag_var} "${${flag_var}}")
-    endforeach(flag_var)
-  endif()
 endif()
 
 set(SDL_SHARED_DEFAULT ON)
@@ -316,3 +299,10 @@
 dep_option(SDL_SSE2                "Use SSE2 assembly routines" ON "SDL_ASSEMBLY;SDL_CPU_X86 OR SDL_CPU_X64" OFF)
 dep_option(SDL_SSE3                "Use SSE3 assembly routines" ON "SDL_ASSEMBLY;SDL_CPU_X86 OR SDL_CPU_X64" OFF)
 dep_option(SDL_SSE4_1              "Use SSE4.1 assembly routines" ON "SDL_ASSEMBLY;SDL_CPU_X86 OR SDL_CPU_X64" OFF)
+dep_option(SDL_SSE4_2              "Use SSE4.2 assembly routines" ON "SDL_ASSEMBLY;SDL_CPU_X86 OR SDL_CPU_X64" OFF)
+dep_option(SDL_MMX                 "Use MMX assembly routines" ON "SDL_ASSEMBLY;SDL_CPU_X86 OR SDL_CPU_X64" OFF)
+dep_option(SDL_ALTIVEC             "Use Altivec assembly routines" ON "SDL_ASSEMBLY;SDL_CPU_POWERPC32 OR SDL_CPU_POWERPC64" OFF)
+dep_option(SDL_ARMNEON             "Use NEON assembly routines" ON "SDL_ASSEMBLY;SDL_CPU_ARM32 OR SDL_CPU_ARM64" OFF)
+dep_option(SDL_LSX                 "Use LSX assembly routines" ON "SDL_ASSEMBLY;SDL_CPU_LOONGARCH64" OFF)
+dep_option(SDL_LASX                "Use LASX assembly routines" ON "SDL_ASSEMBLY;SDL_CPU_LOONGARCH64" OFF)
+

=== src/hidapi/src/CMakeLists.txt ===
get_filename_component(PROJECT_ROOT "${CMAKE_CURRENT_LIST_DIR}/.." ABSOLUTE)

# Read version from file
file(READ "${PROJECT_ROOT}/VERSION" RAW_VERSION_STR)
string(REGEX MATCH "^([0-9]+\\.[0-9]+\\.[0-9]+)(.*)" VERSION_STR "${RAW_VERSION_STR}")

if(NOT VERSION_STR)
    message(FATAL_ERROR "Broken VERSION file, couldn't parse '${PROJECT_ROOT}/VERSION' with content: '${RAW_VERSION_STR}'")
endif()

set(VERSION "${CMAKE_MATCH_1}")
string(STRIP "${CMAKE_MATCH_2}" VERSION_SUFFIX)
# compatibility with find_package() vs add_subdirectory
set(hidapi_VERSION "${VERSION}" PARENT_SCOPE)
#

if(DEFINED HIDAPI_PRINT_VERSION AND HIDAPI_PRINT_VERSION)
    set(HIDAPI_PRINT_VERSION "hidapi: v${VERSION}")
    if(VERSION_SUFFIX)
        set(HIDAPI_PRINT_VERSION "${HIDAPI_PRINT_VERSION} (${VERSION_SUFFIX})")
    endif()
    message(STATUS "${HIDAPI_PRINT_VERSION}")
endif()

project(hidapi VERSION "${VERSION}" LANGUAGES C)

# Defaults and required options

if(NOT DEFINED HIDAPI_WITH_TESTS)
    set(HIDAPI_WITH_TESTS OFF)
endif()
if(NOT DEFINED BUILD_SHARED_LIBS)
    set(BUILD_SHARED_LIBS ON)
endif()
if(NOT DEFINED HIDAPI_INSTALL_TARGETS)
    set(HIDAPI_INSTALL_TARGETS OFF)
endif()
if(NOT DEFINED CMAKE_POSITION_INDEPENDENT_CODE)
    set(CMAKE_POSITION_INDEPENDENT_CODE ON)
endif()

get_directory_property(IS_EXCLUDE_FROM_ALL EXCLUDE_FROM_ALL)
if(IS_EXCLUDE_FROM_ALL)
    if(HIDAPI_INSTALL_TARGETS)
        message(WARNING "Installing EXCLUDE_FROM_ALL targets in an undefined behavior in CMake.\nDon't add 'hidapi' sundirectory with 'EXCLUDE_FROM_ALL' property, or don't set 'HIDAPI_INSTALL_TARGETS' to TRUE.")
    endif()
endif()

# Helper(s)

function(hidapi_configure_pc PC_IN_FILE)
    file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/pc")

    set(VERSION "${VERSION}${VERSION_SUFFIX}")
    set(prefix "${CMAKE_INSTALL_PREFIX}")
    set(exec_prefix "\${prefix}")
    if(IS_ABSOLUTE "${CMAKE_INSTALL_LIBDIR}")
        set(libdir "${CMAKE_INSTALL_LIBDIR}")
    else()
        set(libdir "\${exec_prefix}/${CMAKE_INSTALL_LIBDIR}")
    endif()
    if(IS_ABSOLUTE "${CMAKE_INSTALL_INCLUDEDIR}")
        set(includedir "${CMAKE_INSTALL_INCLUDEDIR}")
    else()
        set(includedir "\${prefix}/${CMAKE_INSTALL_INCLUDEDIR}")
    endif()

    get_filename_component(PC_IN_FILENAME "${PC_IN_FILE}" NAME_WE)
    set(PC_FILE "${CMAKE_CURRENT_BINARY_DIR}/pc/${PC_IN_FILENAME}.pc")
    configure_file("${PC_IN_FILE}" "${PC_FILE}" @ONLY)
    if(HIDAPI_INSTALL_TARGETS)
        install(FILES "${PC_FILE}" DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig/")
    endif()
endfunction()

# The library

if(HIDAPI_INSTALL_TARGETS)
    include(GNUInstallDirs)
endif()

add_library(hidapi_include INTERFACE)
target_include_directories(hidapi_include INTERFACE
    "$<BUILD_INTERFACE:${PROJECT_ROOT}/hidapi>"
)
if(APPLE AND CMAKE_FRAMEWORK)
    # FIXME: https://github.com/libusb/hidapi/issues/492: it is untrivial to set the include path for Framework correctly
else()
    target_include_directories(hidapi_include INTERFACE
        "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/hidapi>"
    )
endif()
set_target_properties(hidapi_include PROPERTIES EXPORT_NAME "include")
set(HIDAPI_PUBLIC_HEADERS "${PROJECT_ROOT}/hidapi/hidapi.h")

add_library(hidapi::include ALIAS hidapi_include)

if(HIDAPI_INSTALL_TARGETS)
    install(TARGETS hidapi_include EXPORT hidapi)
endif()

set(EXPORT_ALIAS)
set(EXPORT_COMPONENTS)

set(HIDAPI_NEED_EXPORT_THREADS FALSE)
set(HIDAPI_NEED_EXPORT_LIBUSB FALSE)
set(HIDAPI_NEED_EXPORT_LIBUDEV FALSE)
set(HIDAPI_NEED_EXPORT_ICONV FALSE)

if(WIN32)
    target_include_directories(hidapi_include INTERFACE
        "$<BUILD_INTERFACE:${PROJECT_ROOT}/windows>"
    )
    add_subdirectory("${PROJECT_ROOT}/windows" windows)
    set(EXPORT_ALIAS winapi)
    list(APPEND EXPORT_COMPONENTS winapi)
elseif(APPLE)
    target_include_directories(hidapi_include INTERFACE
        "$<BUILD_INTERFACE:${PROJECT_ROOT}/mac>"
    )
    add_subdirectory("${PROJECT_ROOT}/mac" mac)
    set(EXPORT_ALIAS darwin)
    list(APPEND EXPORT_COMPONENTS darwin)
    if(NOT BUILD_SHARED_LIBS)
        set(HIDAPI_NEED_EXPORT_THREADS TRUE)
    endif()
else()
    if(NOT DEFINED HIDAPI_WITH_LIBUSB)
        set(HIDAPI_WITH_LIBUSB ON)
    endif()
    if(CMAKE_SYSTEM_NAME MATCHES "Linux")
        if(NOT DEFINED HIDAPI_WITH_HIDRAW)
            set(HIDAPI_WITH_HIDRAW ON)
        endif()
        if(HIDAPI_WITH_HIDRAW)
            add_subdirectory("${PROJECT_ROOT}/linux" linux)
            list(APPEND EXPORT_COMPONENTS hidraw)
            set(EXPORT_ALIAS hidraw)
            if(NOT BUILD_SHARED_LIBS)
                set(HIDAPI_NEED_EXPORT_THREADS TRUE)
                set(HIDAPI_NEED_EXPORT_LIBUDEV TRUE)
            endif()
        endif()
    elseif(CMAKE_SYSTEM_NAME MATCHES "NetBSD")
        if(NOT DEFINED HIDAPI_WITH_NETBSD)
            set(HIDAPI_WITH_NETBSD ON)
        endif()
        if(HIDAPI_WITH_NETBSD)
            add_subdirectory("${PROJECT_ROOT}/netbsd" netbsd)
            list(APPEND EXPORT_COMPONENTS netbsd)
            set(EXPORT_ALIAS netbsd)
            if(NOT BUILD_SHARED_LIBS)
                set(HIDAPI_NEED_EXPORT_THREADS TRUE)
            endif()
        endif()
    else()
        set(HIDAPI_WITH_LIBUSB ON)
    endif()
    if(HIDAPI_WITH_LIBUSB)
        target_include_directories(hidapi_include INTERFACE
            "$<BUILD_INTERFACE:${PROJECT_ROOT}/libusb>"
        )
        if(NOT DEFINED HIDAPI_NO_ICONV)
            set(HIDAPI_NO_ICONV OFF)
        endif()
        add_subdirectory("${PROJECT_ROOT}/libusb" libusb)
        list(APPEND EXPORT_COMPONENTS libusb)
        if(NOT EXPORT_ALIAS)
            set(EXPORT_ALIAS libusb)
        endif()
        if(NOT BUILD_SHARED_LIBS)
            set(HIDAPI_NEED_EXPORT_THREADS TRUE)
            if(NOT TARGET usb-1.0)
                set(HIDAPI_NEED_EXPORT_LIBUSB TRUE)
            endif()
        endif()
    elseif(NOT TARGET hidapi_hidraw)
        message(FATAL_ERROR "Select at least one option to build: HIDAPI_WITH_LIBUSB or HIDAPI_WITH_HIDRAW")
    endif()
endif()

add_library(hidapi::hidapi ALIAS hidapi_${EXPORT_ALIAS})

if(HIDAPI_INSTALL_TARGETS)
    include(CMakePackageConfigHelpers)
    set(EXPORT_DENERATED_LOCATION "${CMAKE_BINARY_DIR}/export_generated")
    set(EXPORT_DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/hidapi")
    write_basic_package_version_file("${EXPORT_DENERATED_LOCATION}/hidapi-config-version.cmake"
        COMPATIBILITY SameMajorVersion
    )
    configure_package_config_file("cmake/hidapi-config.cmake.in" "${EXPORT_DENERATED_LOCATION}/hidapi-config.cmake"
        INSTALL_DESTINATION "${EXPORT_DESTINATION}"
        NO_SET_AND_CHECK_MACRO
    )

    install(EXPORT hidapi
        DESTINATION "${EXPORT_DESTINATION}"
        NAMESPACE hidapi::
        FILE "libhidapi.cmake"
    )
    install(FILES
            "${EXPORT_DENERATED_LOCATION}/hidapi-config-version.cmake"
            "${EXPORT_DENERATED_LOCATION}/hidapi-config.cmake"
        DESTINATION "${EXPORT_DESTINATION}"
    )
endif()

=== debian/changelog ===
libsdl3 (3.2.24+ds-1) unstable; urgency=medium

  * New upstream stable release
  * d/patches: Drop several patches that were included in the upstream
    release
  * d/patches: Add post-release bug fixes from upstream git
    - Generalize code to avoid treating non-gamepads as gamepads
    - Fix scaling with the software renderer
  * d/p/test-Set-a-much-longer-timeout-for-testatomic-on-GNU-Hurd.patch:
    Add patch to extend the timeout of testatomic on Hurd,
    based on discussion with Pino Toscano on sdl-team/libsdl3!3
  * d/control, d/rules: Build using ninja-build
  * d/rules: Do the build in a directory covered by upstream's .gitignore
  * d/watch*: Convert to uscan format v5
  * d/watch*: Include the short commit hash in versions from upstream git
  * d/watch, d/upstream/signing-key.asc: Check signatures before repacking
  * d/control: Remove Rules-Requires-Root, no longer needed since Debian 13
  * Reformat packaging files using debputy
  * Update Lintian overrides

  [ Pino Toscano ]
  * d/libsdl3-0.symbols: Mark Linux symbols as such

 -- Simon McVittie <smcv@debian.org>  Sat, 04 Oct 2025 14:20:25 +0100
